GWT 2.7.0

## com.google.web.bindery.requestfactory.apt
Class RequestContextScanner

    java.lang.Object
      javax.lang.model.util.AbstractElementVisitor6<R,P>
          javax.lang.model.util.ElementScanner6<R,State>
              com.google.web.bindery.requestfactory.apt.ScannerBase<java.lang.Void>
                  com.google.web.bindery.requestfactory.apt.RequestContextScanner

All Implemented Interfaces:
  javax.lang.model.element.ElementVisitor<java.lang.Void,State>

     class RequestContextScanner

extends ScannerBase<java.lang.Void>

Scans a RequestContext declaration. This visitor will call out to the State object to validate the types that it encounters.

Field Summary

Fields inherited from class javax.lang.model.util.ElementScanner6
`DEFAULT_VALUE`

Constructor Summary
`RequestContextScanner()`

Method Summary
`java.lang.Void` | `visitExecutable(javax.lang.model.element.ExecutableElement x, State state)`
`java.lang.Void` | `visitType(javax.lang.model.element.TypeElement x, State state)`
`java.lang.Void` | `visitTypeParameter(javax.lang.model.element.TypeParameterElement x, State state)`

Methods inherited from class com.google.web.bindery.requestfactory.apt.ScannerBase
`isGetter, isSetter, poisonIfAnnotationPresent, scan, scanAllInheritedMethods, shouldIgnore, viewIn`

Methods inherited from class javax.lang.model.util.ElementScanner6
`scan, scan, visitPackage, visitVariable`

Methods inherited from class javax.lang.model.util.AbstractElementVisitor6
`visit, visit, visitUnknown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestContextScanner

    RequestContextScanner()

Method Detail

### visitExecutable

    public java.lang.Void visitExecutable(javax.lang.model.element.ExecutableElement x,
                                          State state)

  Specified by:
    `visitExecutable` in interface `javax.lang.model.element.ElementVisitor<java.lang.Void,State>`
  Overrides:
    `visitExecutable` in class `javax.lang.model.util.ElementScanner6<java.lang.Void,State>`

### visitType

    public java.lang.Void visitType(javax.lang.model.element.TypeElement x,
                                    State state)

  Specified by:
    `visitType` in interface `javax.lang.model.element.ElementVisitor<java.lang.Void,State>`
  Overrides:
    `visitType` in class `javax.lang.model.util.ElementScanner6<java.lang.Void,State>`

### visitTypeParameter

    public java.lang.Void visitTypeParameter(javax.lang.model.element.TypeParameterElement x,
                                             State state)

  Specified by:
    `visitTypeParameter` in interface `javax.lang.model.element.ElementVisitor<java.lang.Void,State>`
  Overrides:
    `visitTypeParameter` in class `javax.lang.model.util.ElementScanner6<java.lang.Void,State>`

GWT 2.7.0